#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	caja-extensions
Version		:	1.28.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Set of extensions for Caja, the MATE file manager.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	glib-devel
BuildRequires	:	mate-common
BuildRequires	:	mate-desktop
BuildRequires	:	gtk-doc
BuildRequires	:	caja

Requires(post)	:	glib-devel
#-----------------------------------------------------------------------------
%description
Set of extensions for Caja, the MATE file manager.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/caja-sendto
%{_includedir}/caja-sendto/*.h
%{_libdir}/caja-sendto/plugins/lib*.so
%{_libdir}/caja/extensions-2.0/libcaja-*.so
%{_libdir}/pkgconfig/caja-sendto.pc
%{_datadir}/gtk-doc/html/caja-sendto/*.{html,png}
%{_datadir}/gtk-doc/html/caja-sendto/caja-sendto.devhelp2
%{_datadir}/gtk-doc/html/caja-sendto/style.css
%{_datadir}/%{name}/*.ui
%{_datadir}/caja/extensions/libcaja-*-extension
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &> /var/log/%{name}.yum.log

%postun
if [ "$1" = 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas/ > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
